#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	autoconf
Version		:	2.71
Release		:	14.8.0.0%{?dist}
Summary		:	A GNU tool for automatically configuring source code
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and GFDL
URL		:	http://www.gnu.org/software/autoconf/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	xz-devel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
GNU Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS COPYING BUGS NEWS README
%{_bindir}/*
%{_infodir}/*.info.gz
%{_datadir}/%{name}/INSTALL
%{_datadir}/%{name}/autom4te.cfg
%{_datadir}/%{name}/%{name}/*.m4*
%{_datadir}/%{name}/build-aux/config.*
%{_datadir}/%{name}/build-aux/install-sh
%{_datadir}/%{name}/Autom4te/*.pm
%{_datadir}/%{name}/autoscan/autoscan.list
%{_datadir}/%{name}/autotest/*.m4*
%{_datadir}/%{name}/m4sugar/*.m4*
%{_mandir}/man1/*.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

export EMACS=%{_bindir}/false
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
